import request from '@/utils/request'

// 查询跟进列表
export function listCustomerVisit(query) {
  return request({
    url: '/crm/customerVisit/list',
    method: 'get',
    params: query
  })
}

// 查询跟进详细
export function getCustomerVisit(visitId) {
  return request({
    url: '/crm/customerVisit/' + visitId,
    method: 'get'
  })
}

// 新增跟进
export function addCustomerVisit(data) {
  return request({
    url: '/crm/customerVisit',
    method: 'post',
    data: data
  })
}

// 修改跟进
export function updateCustomerVisit(data) {
  return request({
    url: '/crm/customerVisit',
    method: 'put',
    data: data
  })
}

// 删除跟进
export function delCustomerVisit(visitId) {
  return request({
    url: '/crm/customerVisit/' + visitId,
    method: 'delete'
  })
}

// 导出跟进
export function exportCustomerVisit(query) {
  return request({
    url: '/crm/customerVisit/export',
    method: 'get',
    params: query
  })
}